Get usage summary
curl --request GET \
--url https://apigcp.trynia.ai/v2/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigcp.trynia.ai/v2/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigcp.trynia.ai/v2/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "<string>",
"billing_period_start": "2023-11-07T05:31:56Z",
"billing_period_end": "2023-11-07T05:31:56Z",
"organization_id": "<string>",
"subscription_tier": "free",
"usage": {}
}Usage
Get usage summary
Get usage counts and limits for current billing period (queries, indexing, oracle, etc.).
GET
/
usage
Get usage summary
Authorizations
API key must be provided in the Authorization header
Response
200 - application/json
Successful Response
Response for usage summary.
User identifier
Start of current billing period
End of current billing period
Organization identifier (if applicable)
Current subscription tier
Usage breakdown by operation type
Show child attributes
Show child attributes
Was this page helpful?

